{
	"coc.preferences.formatOnSaveFiletypes": ["gunk", "go", "css", "svelte", "typescript", "javascript"],
	"coc.preferences.currentFunctionSymbolAutoUpdate": true,
	"diagnostic.virtualText": true,
	"diagnostic.virtualTextCurrentLineOnly": true,
	"diagnostic.virtualTextPrefix": "  ⇒  ",
	"diagnostic.virtualTextLineSeparator": "|",
	"diagnostic.errorSign": "✘",
	"diagnostic.warningSign": "!",
	"diagnostic.infoSign": "?",
	"diagnostic.checkCurrentLine": true,
	"codeLens.enable": false,
	"languageserver": {
		"golang": {
			"command": "gopls",
			"rootPatterns": ["go.mod", ".vim/", ".git/", ".hg/"],
			"filetypes": ["go"]
		}
	},
	"explorer": {
		"width": 32,
		"icon.enableNerdfont": true,
		"file.reveal.whenOpen": false,
		"keyMappings.global": {
			"l": ["wait", "expandable?", "expand", "open:select:keep"],
			"L": ["wait", "expandable?", "expand", "open"]
		}
	},
	"suggest.completionItemKindLabels": {
		"class": "",
		"color": "",
		"constant": "",
		"constructor": "",
		"default": "",
		"enum": "",
		"enumMember": "",
		"event": "鬒",
		"field": "",
		"file": "",
		"folder": "",
		"function": "ƒ",
		"interface": "",
		"keyword": "",
		"method": "",
		"module": "פּ",
		"operator": "",
		"property": "",
		"reference": "",
		"snippet": "",
		"struct": "",
		"text": "",
		"typeParameter": "",
		"unit": "",
		"value": "",
		"variable": "⒳"
	},
	"go.goplsOptions": {
		"completeUnimported": true,
		"gofumpt": true,
		"hoverKind": "SynopsisDocumentation",
		"linksInHover": false
	},
	"cSpell.allowCompoundWords": true,
	"cSpell.enabledLanguageIds": [  "markdown", "pandoc" ],
	"cSpell.languagesettings": [

		{
			"languageId": "gunk",
			"local": "en",
			"dictionaries": ["wordsEn", "softwareTerms", "misc", "go"]
		}
	],
	"cSpell.userWords": [
		"Brankas",
		"GRPC",
		"Glitchless",
		"Gorm",
		"Idempotency",
		"Minecraft",
		"ORMs",
		"Overworld",
		"Piglin",
		"Speedrunning",
		"accountingreports",
		"appstatus",
		"authorizationholds",
		"discordgo",
		"emptypb",
		"fset",
		"glaccounts",
		"gohtml",
		"hhhapz",
		"livestreams",
		"newpage",
		"nums",
		"openapiv",
		"pagebreak",
		"pkgs",
		"proto",
		"protobuf",
		"protoc",
		"resends",
		"speedrun",
		"speedrunner",
		"speedrunners",
		"speedruns",
		"struct",
		"teamortix",
		"textwidth",
		"unban"
	],
	"coc-gunk": {
		"server.args": ["-lint"]
  },
  "svelte.enable-ts-plugin": true

}
